WrongTransaction (Java Platform SE 8 )
Keywords: org.omg.CORBA.WrongTransaction class
Date: 2026-01-21

org.omg.CORBA

## Class WrongTransaction

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.WrongTransaction

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class WrongTransaction
      extends UserException

  The CORBA `WrongTransaction` user-defined exception. This exception is thrown only by the methods `Request.get_response` and `ORB.get_next_response` when they are invoked from a transaction scope that is different from the one in which the client originally sent the request. See the OMG Transaction Service Specification for details.
  See Also:
    documentation on Java IDL exceptions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrongTransaction()` Constructs a WrongTransaction object with an empty detail message.
    `WrongTransaction(String reason)` Constructs a WrongTransaction object with the given detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WrongTransaction

          public WrongTransaction()

      Constructs a WrongTransaction object with an empty detail message.

    - #### WrongTransaction

          public WrongTransaction(String reason)

      Constructs a WrongTransaction object with the given detail message.
      Parameters:
        `reason` - The detail message explaining what caused this exception to be thrown.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.